org.apache.poi.sl.usermodel

## Interface TableCell<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

- All Superinterfaces:
    IAdjustableShape, java.lang.Iterable<P>, PlaceableShape<S,P>, Shape<S,P>, SimpleShape<S,P>, TextShape<S,P>
  All Known Implementing Classes:
    HSLFTableCell, XSLFTableCell

      public interface TableCell<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>
      extends TextShape<S,P>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TableCell.BorderEdge`

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.TextShape

      `TextShape.TextAutofit, TextShape.TextDirection, TextShape.TextPlaceholder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StrokeStyle` | `getBorderStyle(TableCell.BorderEdge edge)` Return line style of given edge or `null` if border is not defined
    `int` | `getGridSpan()` Get the number of columns to be spanned/merged
    `int` | `getRowSpan()` Get the number of rows to be spanned/merged
    `boolean` | `isMerged()` Return if this cell is part of a merged cell.
    `void` | `removeBorder(TableCell.BorderEdge edge)` Remove all line attributes of the given border edge
    `void` | `setBorderColor(TableCell.BorderEdge edge, java.awt.Color color)` Convenience method for setting the border color.
    `void` | `setBorderCompound(TableCell.BorderEdge edge, StrokeStyle.LineCompound compound)` Convenience method for setting the border line compound.
    `void` | `setBorderDash(TableCell.BorderEdge edge, StrokeStyle.LineDash dash)` Convenience method for setting the border line dash.
    `void` | `setBorderStyle(TableCell.BorderEdge edge, StrokeStyle style)` Sets the `StrokeStyle` of the given border edge.
    `void` | `setBorderWidth(TableCell.BorderEdge edge, double width)` Convenience method for setting the border width.

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.TextShape

      `appendText, getInsets, getText, getTextDirection, getTextHeight, getTextHeight, getTextParagraphs, getTextPlaceholder, getTextRotation, getVerticalAlignment, getWordWrap, isHorizontalCentered, resizeToFitText, resizeToFitText, setHorizontalCentered, setInsets, setText, setTextDirection, setTextPlaceholder, setTextRotation, setVerticalAlignment, setWordWrap`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape

      `createHyperlink, getFillColor, getFillStyle, getGeometry, getHyperlink, getLineDecoration, getPlaceholder, getPlaceholderDetails, getShadow, getShapeType, getStrokeStyle, isPlaceholder, setFillColor, setPlaceholder, setShapeType, setStrokeStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.draw.geom.IAdjustableShape

      `getAdjustValue`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getAnchor, getFlipHorizontal, getFlipVertical, getParent, getRotation, getSheet, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getBorderStyle

          StrokeStyle getBorderStyle(TableCell.BorderEdge edge)

      Return line style of given edge or `null` if border is not defined
      Parameters:
        `edge` - the border edge
      Returns:
        line style of given edge or `null` if border is not defined

    - #### setBorderStyle

          void setBorderStyle(TableCell.BorderEdge edge,
                              StrokeStyle style)

      Sets the `StrokeStyle` of the given border edge. A `null` property of the style is ignored.
      Parameters:
        `edge` - border edge
        `style` - the new stroke style

    - #### setBorderWidth

          void setBorderWidth(TableCell.BorderEdge edge,
                              double width)

      Convenience method for setting the border width.
      Parameters:
        `edge` - border edge
        `width` - the new border width

    - #### setBorderColor

          void setBorderColor(TableCell.BorderEdge edge,
                              java.awt.Color color)

      Convenience method for setting the border color.
      Parameters:
        `edge` - border edge
        `color` - the new border color

    - #### setBorderCompound

          void setBorderCompound(TableCell.BorderEdge edge,
                                 StrokeStyle.LineCompound compound)

      Convenience method for setting the border line compound.
      Parameters:
        `edge` - border edge
        `compound` - the new border line compound

    - #### setBorderDash

          void setBorderDash(TableCell.BorderEdge edge,
                             StrokeStyle.LineDash dash)

      Convenience method for setting the border line dash.
      Parameters:
        `edge` - border edge
        `dash` - the new border line dash

    - #### removeBorder

          void removeBorder(TableCell.BorderEdge edge)

      Remove all line attributes of the given border edge
      Parameters:
        `edge` - the border edge to be cleared

    - #### getGridSpan

          int getGridSpan()

      Get the number of columns to be spanned/merged
      Returns:
        the grid span
      Since:
        POI 3.15-beta2

    - #### getRowSpan

          int getRowSpan()

      Get the number of rows to be spanned/merged
      Returns:
        the row span
      Since:
        POI 3.15-beta2

    - #### isMerged

          boolean isMerged()

      Return if this cell is part of a merged cell. The top/left cell of a merged region is not regarded as merged - its grid and/or row span is greater than one.
      Returns:
        true if this a merged cell
      Since:
        POI 3.15-beta2

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.